

import java.util.*;

/******************************
/******************************
**
**	Player
**
/******************************
*****************************/
public class Player		{
	String name = "";
	Vector kills = new Vector ();
	int flagGet = 0;
	int flagCapture = 0;
	int baseDefend = 0;
	int carrierdefend = 0;
	int flagReturns = 0;
	int killedCarrier = 0;
	int lostFlag = 0;
	int suicides = 0;
	int telefragged = 0;
	int lavajumps = 0;
	int wasvictim = 0;

	public final static int BLASTER=0, SHOTGUN=1, SSHOTGUN=2, MACHINEGUN=3, CHAINGUN=4, 
						GRENADE=5, ROCKET=6, HYPERBLASTER=7, RAILGUN = 8, BFG=9, GRAPPLE=10;
	public final static String [] weaponText = {"BLASTER", "SHOTGUN", "SUPER SHOTGUN", "MACHINE GUN",
								"CHAIN GUN", "GRENADE LAUNCHER", "ROCKET LAUNCHER", "HYPER BLASTER",
								"RAIL GUN", "BFG", "GRAPPLE"};

	/******************************
	*	constructor
	*****************************/
	Player (String s)	{
		name = s;
	}

	/******************************
	*	addKill
	*****************************/
	public void addKill (String victim, int w)	{
		int i;
		Kill k = null, ak = null;

		for (i = 0; i < kills.size(); i++)	{
			k = (Kill)kills.elementAt(i);
			if (k.victim.equals (victim) && (k.weapon == w))	{
				k.count++;
				return;
			}
		}

		k = new Kill ();
		k.victim = victim;
		k.weapon = w;
		k.count = 1;


		for (i = 0; i < kills.size(); i++)	{
			ak = (Kill)kills.elementAt(i);
			if (ak.victim.compareTo (k.victim) >= 0)	{
				kills.insertElementAt (k, i);
				return;
			}
		}

		kills.addElement (k);
	}


	/******************************
	*	getStatisitics
	*****************************/
	public String getStatistics ()	{
		int i, cnt = 0;
		String s = "";
		Kill k = null;

		s = "Stats for \"" + name.toUpperCase() + "\"\n";
		for (i = 0; i < kills.size(); i++)	{
			k = (Kill)kills.elementAt(i);
			cnt += k.count;
			s += "\tkilled " + k.victim.toUpperCase() + " with the " + weaponText [k.weapon] + " " + k.count + " times.\n";
		}
		if (kills.size() <= 0)
			s += "\tno kills LOOSER!\n";
		s += "\t--------------------------------------------\n\tGOT THE FLAG: " + flagGet + " times\n";
		s += "\tCAPTURED THE FLAG: " + flagCapture + " times\n";
		s += "\tLOST THE FLAG: " + lostFlag + " times\n";
		s += "\tDEFENDED THE BASE: " + baseDefend + " times\n";
		s += "\tDEFENDED THE FLAG CARRIER: " + carrierdefend + " times\n";
		s += "\tRESCUED THE FLAG: " + flagReturns + " times\n";
		s += "\tKILLED THE FLAG CARRIER: " + killedCarrier + " times\n";
		s += "\tWAS TELEFRAGGED: " + telefragged + " times\n";
		s += "\tVISITED THE LAVA GOD: " + lavajumps + " times\n";
		s += "\tSPANKED OFF: " + suicides + " times\n";

		s += "\t--------------------------------------------\n\tTOTAL KILLS: " + cnt + "\n";
		s += "\tTOTAL WAS KILLED: " + wasvictim + "\n\n";

		return s;
	}

}
